/* Creado por Gianmattus-Programmer */

/* Google Fonts(Poppins) */
@import url("https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap");

* {
  font-family: "Poppins", sans-serif;
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  min-height: 100vh;
  display: flex;
  align-items: center;
  justify-content: center;
  background: #000;
}

.card {
  position: relative;
  width: 350px;
  height: 350px;
  border-radius: 20px;
  display: flex;
  align-items: center;
  justify-content: center;
  transition: 0.5s;
}

.card:hover {
  width: 600px;
  transition-delay: 0.5s;
}

.card .circle {
  position: absolute;
  width: 100%;
  height: 100%;
  border-radius: 20px;
  display: flex;
  align-items: center;
  justify-content: center;
}

.card .circle::before {
  position: absolute;
  content: "";
  width: 350px;
  height: 350px;
  background: #000;
  border-radius: 50%;
  border: 8px solid #f40103;
  top: 0;
  left: 0;
  filter: drop-shadow(0 0 10px #f40103);
  transition: 0.5s, background 0.5s;
  transition-delay: 0.75s, 1s;
}

.card:hover .circle::before {
  width: 100%;
  height: 100%;
  border-radius: 20px;
  background: #f40103;
  transition-delay: 0.5s;
}

.card .circle .logo {
  position: relative;
  width: 250px;
  transition: 0.5s;
  transition-delay: 0.5s;
}

.card:hover .circle .logo {
  transform: scale(0);
  transition-delay: 0s;
}

.card .img {
  position: absolute;
  height: 300px;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%) rotate(315deg) scale(0);
  transition: 0.5s;
}

.card:hover .img {
  transform: translate(-50%, -50%) scale(1) rotate(15deg);
  height: 500px;
  top: 45%;
  left: 82%;
  transition-delay: 0.75s;
}

.card .content {
  position: absolute;
  width: 70%;
  color: #fff;
  padding: 20px 20px 20px 40px;
  left: 20%;
  opacity: 0;
  visibility: hidden;
  transition: 0.5s;
}

.card:hover .content {
  opacity: 1;
  visibility: visible;
  left: 0;
  transition-delay: 0.75s;
}

.card .content h2 {
  font-size: 2.4em;
  line-height: 1em;
  text-transform: uppercase;
}

.card .content .btn {
  text-decoration: none;
  display: inline-block;
  background: #fff;
  color: #000;
  padding: 10px 20px;
  border-radius: 10px;
  margin-top: 10px;
  font-weight: 600;
}
